/** Main CSS File **/
/*////////////*/
/* Global */
html {
    overflow-x: hidden;
}
body {
    font-family: Arial, sans-serif;
    font-weight: 400;
    line-height: 20px;
    color: #6f7881;
}
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
a {
    color: #fff;
    text-decoration: none;
}
li {
    list-style: none;
}
p {
    font-size: 15px;
}
h1, h2, h3 {
    font-size: 15px;
}
.container {
    display: grid;
    grid-gap: 15px 10px;
    grid-template-columns: repeat(4,1fr);
    max-width: 1200px;
    margin: 0px auto;
}
/* Header Style */
header {
    grid-column: 1 / 5;
    color: #9f9c9c;
    border-bottom: 2px solid #71c9ec;
    padding: 10px 0;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
#header nav {

}
#header nav ul {
    display: flex;
}
#header nav ul li {
    padding: 5px;
    color: #6f7881;
}
#header nav ul li a{
    color: #6f7881;
}
.search {
    flex: 1 1 auto;
    padding: 0px 80px;
    display: flex;
    justify-content: flex-start;
}
.search input {
    border: 1px solid #d8d8d8;
    border-top-left-radius: 5px;
    border-bottom-left-radius: 5px;
    padding: 5px;
}
.search .search-button {
    padding: 5px 15px;
    color: #fff;
    cursor: pointer;
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
    background-color: #71c9ec;
}

.log-out a {
    padding: 5px 20px;
    color: #fff;
    cursor: pointer;
    border-radius: 5px;
    background-color: #71c9ec;
}
/* main Style */
main {
    grid-column: 2 / 5;
    padding: 10px;
}
#main h1 {
    color: #6f7881;
    font-size: 19px;
    margin-bottom: 15px;
}
.recent-posts {
    display: grid;
    grid-template-columns: repeat(3,1fr);
    grid-auto-rows: minmax(50px,auto);
    grid-gap: 20px 15px;
}
.recent-posts .article {
     color: #6f7881;
    font-size: 15px;
 }

img.post-img {
    max-width: 100%;
}
h3.article-title {
    margin: 5px 0px;
}
.article p {
    line-height: 20px;
    margin-bottom: 15px;
}
.article a.btn {
    padding: 5px 20px;
    color: #fff;
    cursor: pointer;
    border-radius: 5px;
    background-color: #71c9ec;
}
img.main-img {
    width: 100%;
}
p.post-description {
    margin: 10px 0px;
    font-size: 16px;
    line-height: 25px;
}
.social-sharing {
    display: flex;
    padding: 15px;
}
.share-on {
    font-size: 16px;
    padding: 5px;
}
ul.sharing-icons {
    display: flex;
    justify-content: flex-start;
}
.sharing-icons li {
    padding: 5px;
    font-size: 15px;
}

.about-author {
    display: flex;
    justify-content: flex-start;
    padding: 5px;
    border: 1px solid #e2e2e2;
}
.avatar-img {
    border-radius:50%;
    display: flex;
    align-items: center;
}
.avatar-img img{
    border-radius: 50%;
    max-width: 100%;
    border: 1px solid #eee;
    padding: 5px;
}
.about-author-details {
    display: grid;
}
.author-title {
    padding: 15px 15px 5px 15px;
    font-weight: bold;
    color: #71c9ec;
}

span.meta {
    font-size: 13px;
    font-weight: bold;
    display: flex;
    justify-content: flex-start;
    padding: 5px 15px 5px 15px;
}
span.desc {
    padding: 5px 15px 5px 15px;
}
.meta-part {
    margin-right: 25px;
}
.meta-details {
    font-weight: 100;
}
/* aside Style */
aside {
    grid-column: 1 / 2;
    background-color: #e2e2e2;
    padding: 10px;
}
h2.featured {
    color: #6f7881;
    font-size: 19px;
    margin-bottom: 10px;
}

ul.featured-list li {
    padding: 5px;
    font-size: 15px;
    color: #6f7881;
}
ul.featured-list li a{
    color: #6f7881;
}
/* footer Style */
footer {
    grid-column: 1 / 5;
    background-color: #71c9ec;
    padding: 10px;
}
.social-links {
    display: flex;
    justify-content: flex-end;
}
.social-links {
    display: flex;
    justify-content: flex-end;
}
.social-links li{
    padding: 5px;
    color: #fff;
    font-size: 15px;
}

